
QGIS Application - Bug report #2255

Identified polygon stay on previous place when CRS is changed

2009-12-10 07:31 PM - dr -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12315

Description

1. Open vector layer (CRS EPSG:4326), layer in attachment.

2. Identify some polygon and don't close identify results pop-up window.

3. Choose Settings - Project Properties - CRS, set CRS EPSG:3395 and enable on the fly transformation.

4. Press OK button. All polygons are disappeared (it's clear), but identified polygon stay on previous place.

Associated revisions

Revision 7fd44b67 - 2009-12-11 11:27 AM - Jürgen Fischer

fix #2255

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12405 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 92e67c85 - 2009-12-11 11:27 AM - Jürgen Fischer

fix #2255

git-svn-id: http://svn.osgeo.org/qgis/trunk@12405 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-10 07:57 PM - dr -

Oops, my layer is so big for attachment.

Example of layer with many features here: [http://gis-lab.info/share/10m-urban-area.zip]

#2 - 2009-12-10 08:02 PM - dr -

Replying to [comment:1 dr]:

Oops, my layer is so big for attachment.

Example of layer with many features here: [http://gis-lab.info/share/10m-urban-area.zip]
I apologise, this comment was for another ticket.

#3 - 2009-12-11 02:27 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:92e67c85 (SVN r12406).

Files

admin.zip 48.7 KB 2009-12-10 dr -
